You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@thrift.apache.org by dr...@apache.org on 2010/08/31 18:51:11 UTC

svn commit: r991241 - /incubator/thrift/trunk/bootstrap.sh

Author: dreiss
Date: Tue Aug 31 16:51:10 2010
New Revision: 991241

URL: http://svn.apache.org/viewvc?rev=991241&view=rev
Log:
THRIFT-500. A bunch of small changes to bootstrap.sh

- Use "set -e" instead of exit 1
- Separate libtoolize detection and execution
- Reorder some programs to prevent spurious warnings

Modified:
    incubator/thrift/trunk/bootstrap.sh

Modified: incubator/thrift/trunk/bootstrap.sh
URL: http://svn.apache.org/viewvc/incubator/thrift/trunk/bootstrap.sh?rev=991241&r1=991240&r2=991241&view=diff
==============================================================================
--- incubator/thrift/trunk/bootstrap.sh (original)
+++ incubator/thrift/trunk/bootstrap.sh Tue Aug 31 16:51:10 2010
@@ -22,15 +22,21 @@
 ./cleanup.sh
 (cd lib/php/src/ext/thrift_protocol && phpize)
 
-autoscan || exit 1
-aclocal -I ./aclocal || exit 1
-autoheader || exit 1
+set -e
 
+# libtoolize is called "glibtoolize" on OSX.
 if libtoolize --version 1 >/dev/null 2>/dev/null; then
-  libtoolize --copy --automake || exit 1
+  LIBTOOLIZE=libtoolize
 elif glibtoolize --version 1 >/dev/null 2>/dev/null; then
-  glibtoolize --copy --automake || exit 1
+  LIBTOOLIZE=glibtoolize
+else
+  echo >&2 "Couldn't find libtoolize!"
+  exit 1
 fi
 
+autoscan
+$LIBTOOLIZE --copy --automake
+aclocal -I ./aclocal
+autoheader
 autoconf
-automake -ac --add-missing --foreign || exit 1
+automake --copy --add-missing --foreign